1# DO NOT EDIT! GENERATED AUTOMATICALLY!
2# Copyright (C) 2002-2020 Free Software Foundation, Inc.
3#
4# This file is free software; you can redistribute it and/or modify
5# it under the terms of the GNU General Public License as published by
6# the Free Software Foundation; either version 3 of the License, or
7# (at your option) any later version.
8#
9# This file is distributed in the hope that it will be useful,
10# but WITHOUT ANY WARRANTY; without even the implied warranty of
11# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
12# GNU General Public License for more details.
13#
14# You should have received a copy of the GNU General Public License
15# along with this file.  If not, see <https://www.gnu.org/licenses/>.
16#
17# As a special exception to the GNU General Public License,
18# this file may be distributed as part of a program that
19# contains a configuration script generated by Autoconf, under
20# the same distribution terms as the rest of that program.
21#
22# Generated by gnulib-tool.
23#
24# This file represents the compiled summary of the specification in
25# gnulib-cache.m4. It lists the computed macro invocations that need
26# to be invoked from configure.ac.
27# In projects that use version control, this file can be treated like
28# other built files.
29
30
31# This macro should be invoked from ./configure.ac, in the section
32# "Checks for programs", right after AC_PROG_CC, and certainly before
33# any checks for libraries, header files, types and library functions.
34AC_DEFUN([gl_EARLY],
35[
36  m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37  m4_pattern_allow([^gl_ES$])dnl a valid locale name
38  m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39  m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40
41  # Pre-early section.
42  AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
43  AC_REQUIRE([gl_PROG_AR_RANLIB])
44
45  AC_REQUIRE([AM_PROG_CC_C_O])
46  # Code from module absolute-header:
47  # Code from module alignof:
48  # Code from module alloca-opt:
49  # Code from module allocator:
50  # Code from module announce-gen:
51  # Code from module areadlink:
52  # Code from module argmatch:
53  # Code from module array-list:
54  # Code from module assert:
55  # Code from module assure:
56  # Code from module attribute:
57  # Code from module basename-lgpl:
58  # Code from module binary-io:
59  # Code from module bitrotate:
60  # Code from module bitset:
61  # Code from module bitsetv:
62  # Code from module builtin-expect:
63  # Code from module c-ctype:
64  # Code from module c-strcase:
65  # Code from module c-strcaseeq:
66  # Code from module c99:
67  # Code from module calloc-posix:
68  # Code from module canonicalize-lgpl:
69  # Code from module careadlinkat:
70  # Code from module chdir:
71  # Code from module clock-time:
72  # Code from module cloexec:
73  # Code from module close:
74  # Code from module close-stream:
75  # Code from module closeout:
76  # Code from module concat-filename:
77  # Code from module config-h:
78  # Code from module configmake:
79  # Code from module diffseq:
80  # Code from module dirname:
81  # Code from module dirname-lgpl:
82  # Code from module do-release-commit-and-tag:
83  # Code from module double-slash-root:
84  # Code from module dup2:
85  # Code from module environ:
86  # Code from module errno:
87  # Code from module error:
88  # Code from module exitfail:
89  # Code from module extensions:
90  # Code from module extern-inline:
91  # Code from module fatal-signal:
92  # Code from module fcntl:
93  # Code from module fcntl-h:
94  # Code from module fd-hook:
95  # Code from module fd-safer-flag:
96  # Code from module fdl:
97  # Code from module filename:
98  # Code from module float:
99  # Code from module fopen:
100  # Code from module fopen-gnu:
101  # Code from module fopen-safer:
102  # Code from module fpending:
103  # Code from module fpieee:
104  AC_REQUIRE([gl_FP_IEEE])
105  # Code from module fprintf-posix:
106  # Code from module fpucw:
107  # Code from module frexp-nolibm:
108  # Code from module frexpl-nolibm:
109  # Code from module fseterr:
110  # Code from module fstat:
111  # Code from module fstrcmp:
112  # Code from module fsync:
113  # Code from module gendocs:
114  # Code from module getdelim:
115  # Code from module getdtablesize:
116  # Code from module gethrxtime:
117  # Code from module getline:
118  # Code from module getopt-gnu:
119  # Code from module getopt-posix:
120  # Code from module getprogname:
121  # Code from module getrusage:
122  # Code from module gettext-h:
123  # Code from module gettime:
124  # Code from module gettimeofday:
125  # Code from module git-version-gen:
126  # Code from module gitlog-to-changelog:
127  # Code from module gnu-web-doc-update:
128  # Code from module gnumakefile:
129  # Code from module gnupload:
130  # Code from module gperf:
131  # Code from module gpl-3.0:
132  # Code from module hard-locale:
133  # Code from module hash:
134  # Code from module havelib:
135  # Code from module iconv:
136  # Code from module iconv-h:
137  # Code from module iconv_open:
138  # Code from module include_next:
139  # Code from module inline:
140  # Code from module intprops:
141  # Code from module inttypes:
142  # Code from module inttypes-incomplete:
143  # Code from module isnan:
144  # Code from module isnand:
145  # Code from module isnand-nolibm:
146  # Code from module isnanf:
147  # Code from module isnanf-nolibm:
148  # Code from module isnanl:
149  # Code from module isnanl-nolibm:
150  # Code from module iswblank:
151  # Code from module iswdigit:
152  # Code from module iswxdigit:
153  # Code from module javacomp-script:
154  # Code from module javaexec-script:
155  # Code from module largefile:
156  AC_REQUIRE([AC_SYS_LARGEFILE])
157  # Code from module ldexp:
158  # Code from module ldexpl:
159  # Code from module libc-config:
160  # Code from module libtextstyle:
161  # Code from module libtextstyle-optional:
162  # Code from module limits-h:
163  # Code from module linked-list:
164  # Code from module list:
165  # Code from module localcharset:
166  # Code from module locale:
167  # Code from module lock:
168  # Code from module lstat:
169  # Code from module maintainer-makefile:
170  # Code from module malloc-gnu:
171  # Code from module malloc-posix:
172  # Code from module malloca:
173  # Code from module math:
174  # Code from module mbchar:
175  # Code from module mbfile:
176  # Code from module mbrtowc:
177  # Code from module mbsinit:
178  # Code from module mbswidth:
179  # Code from module memchr:
180  # Code from module minmax:
181  # Code from module msvc-inval:
182  # Code from module msvc-nothrow:
183  # Code from module multiarch:
184  # Code from module nocrash:
185  # Code from module non-recursive-gnulib-prefix-hack:
186  # Code from module obstack:
187  # Code from module obstack-printf:
188  # Code from module open:
189  # Code from module oset:
190  # Code from module pathmax:
191  # Code from module perror:
192  # Code from module pipe2:
193  # Code from module pipe2-safer:
194  # Code from module posix_spawn-internal:
195  # Code from module posix_spawn_file_actions_addclose:
196  # Code from module posix_spawn_file_actions_adddup2:
197  # Code from module posix_spawn_file_actions_addopen:
198  # Code from module posix_spawn_file_actions_destroy:
199  # Code from module posix_spawn_file_actions_init:
200  # Code from module posix_spawnattr_destroy:
201  # Code from module posix_spawnattr_init:
202  # Code from module posix_spawnattr_setflags:
203  # Code from module posix_spawnattr_setsigmask:
204  # Code from module posix_spawnp:
205  # Code from module printf-frexp:
206  # Code from module printf-frexpl:
207  # Code from module printf-posix:
208  # Code from module printf-safe:
209  # Code from module progname:
210  # Code from module quote:
211  # Code from module quotearg:
212  # Code from module quotearg-simple:
213  # Code from module raise:
214  # Code from module rawmemchr:
215  # Code from module rbtree-oset:
216  # Code from module rbtreehash-list:
217  # Code from module readline:
218  # Code from module readlink:
219  # Code from module readme-release:
220  # Code from module realloc-posix:
221  # Code from module relocatable-prog:
222  # Code from module relocatable-prog-wrapper:
223  AC_REQUIRE([AC_SYS_LARGEFILE])
224  # Code from module relocatable-script:
225  # Code from module rename:
226  # Code from module rmdir:
227  # Code from module same-inode:
228  # Code from module sched:
229  # Code from module setlocale-null:
230  # Code from module sh-filename:
231  # Code from module sigaction:
232  # Code from module signal-h:
233  # Code from module signbit:
234  # Code from module sigprocmask:
235  # Code from module size_max:
236  # Code from module snippet/_Noreturn:
237  # Code from module snippet/arg-nonnull:
238  # Code from module snippet/c++defs:
239  # Code from module snippet/unused-parameter:
240  # Code from module snippet/warn-on-use:
241  # Code from module snprintf:
242  # Code from module snprintf-posix:
243  # Code from module spawn:
244  # Code from module spawn-pipe:
245  # Code from module sprintf-posix:
246  # Code from module ssize_t:
247  # Code from module stat:
248  # Code from module stat-time:
249  # Code from module std-gnu11:
250  # Code from module stdbool:
251  # Code from module stddef:
252  # Code from module stdint:
253  # Code from module stdio:
254  # Code from module stdlib:
255  # Code from module stpcpy:
256  # Code from module stpncpy:
257  # Code from module strchrnul:
258  # Code from module strdup-posix:
259  # Code from module streq:
260  # Code from module strerror:
261  # Code from module strerror-override:
262  # Code from module strerror_r-posix:
263  # Code from module string:
264  # Code from module strndup:
265  # Code from module strnlen:
266  # Code from module strverscmp:
267  # Code from module sys_ioctl:
268  # Code from module sys_resource:
269  # Code from module sys_stat:
270  # Code from module sys_time:
271  # Code from module sys_times:
272  # Code from module sys_types:
273  # Code from module sys_wait:
274  # Code from module termios:
275  # Code from module thread-optim:
276  # Code from module threadlib:
277  gl_THREADLIB_EARLY
278  # Code from module time:
279  # Code from module timespec:
280  # Code from module timevar:
281  # Code from module tls:
282  # Code from module unicodeio:
283  # Code from module unistd:
284  # Code from module unistd-safer:
285  # Code from module unistr/base:
286  # Code from module unistr/u8-mbtoucr:
287  # Code from module unistr/u8-uctomb:
288  # Code from module unitypes:
289  # Code from module uniwidth/base:
290  # Code from module uniwidth/width:
291  # Code from module unlink:
292  # Code from module unlocked-io:
293  # Code from module unsetenv:
294  # Code from module update-copyright:
295  # Code from module useless-if-before-free:
296  # Code from module vasnprintf:
297  # Code from module vasprintf:
298  # Code from module vasprintf-posix:
299  # Code from module vc-list-files:
300  # Code from module verify:
301  # Code from module vfprintf-posix:
302  # Code from module vsnprintf:
303  # Code from module vsnprintf-posix:
304  # Code from module vsprintf-posix:
305  # Code from module wait-process:
306  # Code from module waitpid:
307  # Code from module warnings:
308  # Code from module wchar:
309  # Code from module wctype-h:
310  # Code from module wcwidth:
311  # Code from module windows-mutex:
312  # Code from module windows-once:
313  # Code from module windows-recmutex:
314  # Code from module windows-rwlock:
315  # Code from module windows-tls:
316  # Code from module winsz-ioctl:
317  # Code from module winsz-termios:
318  # Code from module xalloc:
319  # Code from module xalloc-die:
320  # Code from module xalloc-oversized:
321  # Code from module xconcat-filename:
322  # Code from module xhash:
323  # Code from module xlist:
324  # Code from module xmemdup0:
325  # Code from module xreadlink:
326  # Code from module xsize:
327  # Code from module xstrndup:
328])
329
330# This macro should be invoked from ./configure.ac, in the section
331# "Check for header files, types and library functions".
332AC_DEFUN([gl_INIT],
333[
334  AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
335  gl_cond_libtool=false
336  gl_libdeps=
337  gl_ltlibdeps=
338  gl_m4_base='m4'
339  m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
340  m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
341  m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
342  m4_pushdef([gl_LIBSOURCES_LIST], [])
343  m4_pushdef([gl_LIBSOURCES_DIR], [])
344  gl_COMMON
345  gl_source_base='lib'
346  gl_FUNC_ALLOCA
347  gl_ASSERT
348  AC_REQUIRE([AC_C_INLINE])
349  gl___BUILTIN_EXPECT
350  gl_FUNC_CALLOC_POSIX
351  if test $REPLACE_CALLOC = 1; then
352    AC_LIBOBJ([calloc])
353  fi
354  gl_STDLIB_MODULE_INDICATOR([calloc-posix])
355  gl_CANONICALIZE_LGPL
356  if test $HAVE_CANONICALIZE_FILE_NAME = 0 || test $REPLACE_CANONICALIZE_FILE_NAME = 1; then
357    AC_LIBOBJ([canonicalize-lgpl])
358  fi
359  gl_MODULE_INDICATOR([canonicalize-lgpl])
360  gl_STDLIB_MODULE_INDICATOR([canonicalize_file_name])
361  gl_STDLIB_MODULE_INDICATOR([realpath])
362  AC_REQUIRE([AC_C_RESTRICT])
363  AC_CHECK_FUNCS_ONCE([readlinkat])
364  gl_CLOCK_TIME
365  gl_MODULE_INDICATOR_FOR_TESTS([cloexec])
366  gl_FUNC_CLOSE
367  if test $REPLACE_CLOSE = 1; then
368    AC_LIBOBJ([close])
369  fi
370  gl_UNISTD_MODULE_INDICATOR([close])
371  gl_MODULE_INDICATOR([close-stream])
372  gl_CONFIG_H
373  gl_CONFIGMAKE_PREP
374  gl_MODULE_INDICATOR([dirname])
375  gl_DOUBLE_SLASH_ROOT
376  gl_FUNC_DUP2
377  if test $REPLACE_DUP2 = 1; then
378    AC_LIBOBJ([dup2])
379    gl_PREREQ_DUP2
380  fi
381  gl_UNISTD_MODULE_INDICATOR([dup2])
382  gl_ENVIRON
383  gl_UNISTD_MODULE_INDICATOR([environ])
384  gl_HEADER_ERRNO_H
385  gl_ERROR
386  if test $ac_cv_lib_error_at_line = no; then
387    AC_LIBOBJ([error])
388    gl_PREREQ_ERROR
389  fi
390  m4_ifdef([AM_XGETTEXT_OPTION],
391    [AM_][XGETTEXT_OPTION([--flag=error:3:c-format])
392     AM_][XGETTEXT_OPTION([--flag=error_at_line:5:c-format])])
393  AC_REQUIRE([gl_EXTERN_INLINE])
394  gl_FATAL_SIGNAL
395  gl_FUNC_FCNTL
396  if test $HAVE_FCNTL = 0 || test $REPLACE_FCNTL = 1; then
397    AC_LIBOBJ([fcntl])
398  fi
399  gl_FCNTL_MODULE_INDICATOR([fcntl])
400  gl_FCNTL_H
401  gl_MODULE_INDICATOR([fd-safer-flag])
402  gl_FLOAT_H
403  if test $REPLACE_FLOAT_LDBL = 1; then
404    AC_LIBOBJ([float])
405  fi
406  if test $REPLACE_ITOLD = 1; then
407    AC_LIBOBJ([itold])
408  fi
409  gl_FUNC_FOPEN
410  if test $REPLACE_FOPEN = 1; then
411    AC_LIBOBJ([fopen])
412    gl_PREREQ_FOPEN
413  fi
414  gl_STDIO_MODULE_INDICATOR([fopen])
415  gl_FUNC_FOPEN_GNU
416  if test $REPLACE_FOPEN = 1; then
417    AC_LIBOBJ([fopen])
418    gl_PREREQ_FOPEN
419  fi
420  gl_MODULE_INDICATOR([fopen-gnu])
421  gl_MODULE_INDICATOR([fopen-safer])
422  gl_FUNC_FPENDING
423  if test $gl_cv_func___fpending = no; then
424    AC_LIBOBJ([fpending])
425  fi
426  gl_FUNC_FPRINTF_POSIX
427  gl_STDIO_MODULE_INDICATOR([fprintf-posix])
428  gl_FUNC_FREXP_NO_LIBM
429  if test $gl_func_frexp_no_libm != yes; then
430    AC_LIBOBJ([frexp])
431  fi
432  gl_MATH_MODULE_INDICATOR([frexp])
433  gl_FUNC_FREXPL_NO_LIBM
434  if test $HAVE_DECL_FREXPL = 0 || test $gl_func_frexpl_no_libm = no; then
435    AC_LIBOBJ([frexpl])
436  fi
437  gl_MATH_MODULE_INDICATOR([frexpl])
438  gl_FUNC_FSYNC
439  if test $HAVE_FSYNC = 0; then
440    AC_LIBOBJ([fsync])
441    gl_PREREQ_FSYNC
442  fi
443  gl_UNISTD_MODULE_INDICATOR([fsync])
444  gl_GETHRXTIME
445  gl_FUNC_GETOPT_GNU
446  dnl Because of the way gl_FUNC_GETOPT_GNU is implemented (the gl_getopt_required
447  dnl mechanism), there is no need to do any AC_LIBOBJ or AC_SUBST here; they are
448  dnl done in the getopt-posix module.
449  gl_FUNC_GETOPT_POSIX
450  if test $REPLACE_GETOPT = 1; then
451    AC_LIBOBJ([getopt])
452    AC_LIBOBJ([getopt1])
453    dnl Arrange for unistd.h to include getopt.h.
454    GNULIB_GL_UNISTD_H_GETOPT=1
455  fi
456  AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
457  gl_UNISTD_MODULE_INDICATOR([getopt-posix])
458  gl_FUNC_GETPROGNAME
459  gl_FUNC_GETRUSAGE
460  if test $HAVE_GETRUSAGE = 0; then
461    AC_LIBOBJ([getrusage])
462  fi
463  gl_SYS_RESOURCE_MODULE_INDICATOR([getrusage])
464  AC_SUBST([LIBINTL])
465  AC_SUBST([LTLIBINTL])
466  gl_GETTIME
467  gl_FUNC_GETTIMEOFDAY
468  if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
469    AC_LIBOBJ([gettimeofday])
470    gl_PREREQ_GETTIMEOFDAY
471  fi
472  gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
473  # Autoconf 2.61a.99 and earlier don't support linking a file only
474  # in VPATH builds.  But since GNUmakefile is for maintainer use
475  # only, it does not matter if we skip the link with older autoconf.
476  # Automake 1.10.1 and earlier try to remove GNUmakefile in non-VPATH
477  # builds, so use a shell variable to bypass this.
478  GNUmakefile=GNUmakefile
479  m4_if(m4_version_compare([2.61a.100],
480          m4_defn([m4_PACKAGE_VERSION])), [1], [],
481        [AC_CONFIG_LINKS([$GNUmakefile:$GNUmakefile], [],
482          [GNUmakefile=$GNUmakefile])])
483  AC_DEFUN([gl_HAVE_MODULE_HAVELIB])
484  AM_ICONV
485  m4_ifdef([gl_ICONV_MODULE_INDICATOR],
486    [gl_ICONV_MODULE_INDICATOR([iconv])])
487  gl_ICONV_H
488  gl_FUNC_ICONV_OPEN
489  if test $REPLACE_ICONV_OPEN = 1; then
490    AC_LIBOBJ([iconv_open])
491  fi
492  if test $REPLACE_ICONV = 1; then
493    AC_LIBOBJ([iconv])
494    AC_LIBOBJ([iconv_close])
495  fi
496  gl_INLINE
497  gl_INTTYPES_H
498  gl_INTTYPES_INCOMPLETE
499  gl_ISNAN
500  gl_MATH_MODULE_INDICATOR([isnan])
501  gl_FUNC_ISNAND
502  m4_ifdef([gl_ISNAN], [
503    AC_REQUIRE([gl_ISNAN])
504  ])
505  if test $HAVE_ISNAND = 0 || test $REPLACE_ISNAN = 1; then
506    AC_LIBOBJ([isnand])
507    gl_PREREQ_ISNAND
508  fi
509  gl_MATH_MODULE_INDICATOR([isnand])
510  gl_FUNC_ISNAND_NO_LIBM
511  if test $gl_func_isnand_no_libm != yes; then
512    AC_LIBOBJ([isnand])
513    gl_PREREQ_ISNAND
514  fi
515  gl_FUNC_ISNANF
516  m4_ifdef([gl_ISNAN], [
517    AC_REQUIRE([gl_ISNAN])
518  ])
519  if test $HAVE_ISNANF = 0 || test $REPLACE_ISNAN = 1; then
520    AC_LIBOBJ([isnanf])
521    gl_PREREQ_ISNANF
522  fi
523  gl_MATH_MODULE_INDICATOR([isnanf])
524  gl_FUNC_ISNANL
525  m4_ifdef([gl_ISNAN], [
526    AC_REQUIRE([gl_ISNAN])
527  ])
528  if test $HAVE_ISNANL = 0 || test $REPLACE_ISNAN = 1; then
529    AC_LIBOBJ([isnanl])
530    gl_PREREQ_ISNANL
531  fi
532  gl_MATH_MODULE_INDICATOR([isnanl])
533  gl_FUNC_ISNANL_NO_LIBM
534  if test $gl_func_isnanl_no_libm != yes; then
535    AC_LIBOBJ([isnanl])
536    gl_PREREQ_ISNANL
537  fi
538  gl_FUNC_ISWBLANK
539  if test $HAVE_ISWCNTRL = 0 || test $REPLACE_ISWCNTRL = 1; then
540    :
541  else
542    if test $HAVE_ISWBLANK = 0 || test $REPLACE_ISWBLANK = 1; then
543      AC_LIBOBJ([iswblank])
544    fi
545  fi
546  gl_WCTYPE_MODULE_INDICATOR([iswblank])
547  gl_FUNC_ISWDIGIT
548  if test $HAVE_ISWCNTRL = 0 || test $REPLACE_ISWCNTRL = 1; then
549    :
550  else
551    if test $REPLACE_ISWDIGIT = 1; then
552      AC_LIBOBJ([iswdigit])
553    fi
554  fi
555  gl_WCTYPE_MODULE_INDICATOR([iswdigit])
556  gl_FUNC_ISWXDIGIT
557  if test $HAVE_ISWCNTRL = 0 || test $REPLACE_ISWCNTRL = 1; then
558    :
559  else
560    if test $REPLACE_ISWXDIGIT = 1; then
561      AC_LIBOBJ([iswxdigit])
562    fi
563  fi
564  gl_WCTYPE_MODULE_INDICATOR([iswxdigit])
565  # You need to invoke gt_JAVACOMP yourself, possibly with arguments.
566  AC_CONFIG_FILES([javacomp.sh:build-aux/javacomp.sh.in])
567  # You need to invoke gt_JAVAEXEC yourself, possibly with arguments.
568  AC_CONFIG_FILES([javaexec.sh:build-aux/javaexec.sh.in])
569  AC_REQUIRE([gl_LARGEFILE])
570  gl_FUNC_LDEXPL
571  if test $HAVE_DECL_LDEXPL = 0 || test $gl_func_ldexpl = no; then
572    AC_LIBOBJ([ldexpl])
573  fi
574  gl_MATH_MODULE_INDICATOR([ldexpl])
575  # You need to invoke gl_LIBTEXTSTYLE yourself, possibly with arguments.
576  # You need to invoke gl_LIBTEXTSTYLE_OPTIONAL yourself, possibly with arguments.
577  gl_LIMITS_H
578  gl_LOCALCHARSET
579  dnl For backward compatibility. Some packages still use this.
580  LOCALCHARSET_TESTS_ENVIRONMENT=
581  AC_SUBST([LOCALCHARSET_TESTS_ENVIRONMENT])
582  gl_LOCK
583  gl_MODULE_INDICATOR([lock])
584  AC_CONFIG_COMMANDS_PRE([m4_ifdef([AH_HEADER],
585    [AC_SUBST([CONFIG_INCLUDE], m4_defn([AH_HEADER]))])])
586  AC_REQUIRE([AC_PROG_SED])
587  AC_REQUIRE([AC_PROG_GREP])
588  gl_FUNC_MALLOC_GNU
589  if test $REPLACE_MALLOC = 1; then
590    AC_LIBOBJ([malloc])
591  fi
592  gl_MODULE_INDICATOR([malloc-gnu])
593  gl_FUNC_MALLOC_POSIX
594  if test $REPLACE_MALLOC = 1; then
595    AC_LIBOBJ([malloc])
596  fi
597  gl_STDLIB_MODULE_INDICATOR([malloc-posix])
598  gl_MATH_H
599  gl_MBCHAR
600  gl_MBFILE
601  gl_FUNC_MBRTOWC
602  if test $HAVE_MBRTOWC = 0 || test $REPLACE_MBRTOWC = 1; then
603    AC_LIBOBJ([mbrtowc])
604    if test $REPLACE_MBSTATE_T = 1; then
605      AC_LIBOBJ([lc-charset-dispatch])
606      AC_LIBOBJ([mbtowc-lock])
607      gl_PREREQ_MBTOWC_LOCK
608    fi
609    gl_PREREQ_MBRTOWC
610  fi
611  gl_WCHAR_MODULE_INDICATOR([mbrtowc])
612  gl_FUNC_MBSINIT
613  if test $HAVE_MBSINIT = 0 || test $REPLACE_MBSINIT = 1; then
614    AC_LIBOBJ([mbsinit])
615    gl_PREREQ_MBSINIT
616  fi
617  gl_WCHAR_MODULE_INDICATOR([mbsinit])
618  gl_MBSWIDTH
619  gl_FUNC_MEMCHR
620  if test $REPLACE_MEMCHR = 1; then
621    AC_LIBOBJ([memchr])
622    gl_PREREQ_MEMCHR
623  fi
624  gl_STRING_MODULE_INDICATOR([memchr])
625  gl_MINMAX
626  AC_REQUIRE([gl_MSVC_INVAL])
627  if test $HAVE_MSVC_INVALID_PARAMETER_HANDLER = 1; then
628    AC_LIBOBJ([msvc-inval])
629  fi
630  AC_REQUIRE([gl_MSVC_NOTHROW])
631  if test $HAVE_MSVC_INVALID_PARAMETER_HANDLER = 1; then
632    AC_LIBOBJ([msvc-nothrow])
633  fi
634  gl_MODULE_INDICATOR([msvc-nothrow])
635  gl_MULTIARCH
636  dnl Run our hack near the end, just before config.status creation.
637  dnl It must happen late, i.e., after gl_LIBOBJS has been finalized.
638  AC_CONFIG_COMMANDS_PRE([
639    dnl Note we can't currently pass $gl_source_base instead of 'lib',
640    dnl because $gl_source_base is unset or the wrong value in the references
641    dnl generated in m4/non-recursive-gnulib-prefix-hack.m4
642    gl_NON_RECURSIVE_GNULIB_PREFIX_HACK([lib])
643    ])
644  AC_FUNC_OBSTACK
645  dnl Note: AC_FUNC_OBSTACK does AC_LIBSOURCES([obstack.h, obstack.c]).
646  gl_FUNC_OBSTACK_PRINTF
647  if test $ac_cv_func_obstack_printf = no || test $REPLACE_OBSTACK_PRINTF = 1; then
648    AC_LIBOBJ([obstack_printf])
649  fi
650  gl_STDIO_MODULE_INDICATOR([obstack-printf])
651  gl_FUNC_OPEN
652  if test $REPLACE_OPEN = 1; then
653    AC_LIBOBJ([open])
654    gl_PREREQ_OPEN
655  fi
656  gl_FCNTL_MODULE_INDICATOR([open])
657  gl_PATHMAX
658  gl_FUNC_PERROR
659  if test $REPLACE_PERROR = 1; then
660    AC_LIBOBJ([perror])
661  fi
662  gl_STRING_MODULE_INDICATOR([perror])
663  gl_FUNC_PIPE2
664  gl_UNISTD_MODULE_INDICATOR([pipe2])
665  gl_MODULE_INDICATOR([pipe2-safer])
666  gl_FUNC_POSIX_SPAWN_FILE_ACTIONS_ADDCLOSE
667  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1 || test $REPLACE_POSIX_SPAWN_FILE_ACTIONS_ADDCLOSE = 1; then
668    AC_LIBOBJ([spawn_faction_addclose])
669  fi
670  gl_SPAWN_MODULE_INDICATOR([posix_spawn_file_actions_addclose])
671  gl_FUNC_POSIX_SPAWN_FILE_ACTIONS_ADDDUP2
672  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1 || test $REPLACE_POSIX_SPAWN_FILE_ACTIONS_ADDDUP2 = 1; then
673    AC_LIBOBJ([spawn_faction_adddup2])
674  fi
675  gl_SPAWN_MODULE_INDICATOR([posix_spawn_file_actions_adddup2])
676  gl_FUNC_POSIX_SPAWN_FILE_ACTIONS_ADDOPEN
677  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1 || test $REPLACE_POSIX_SPAWN_FILE_ACTIONS_ADDOPEN = 1; then
678    AC_LIBOBJ([spawn_faction_addopen])
679  fi
680  gl_SPAWN_MODULE_INDICATOR([posix_spawn_file_actions_addopen])
681  gl_POSIX_SPAWN
682  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1; then
683    AC_LIBOBJ([spawn_faction_destroy])
684  fi
685  gl_SPAWN_MODULE_INDICATOR([posix_spawn_file_actions_destroy])
686  gl_POSIX_SPAWN
687  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1; then
688    AC_LIBOBJ([spawn_faction_init])
689  fi
690  gl_SPAWN_MODULE_INDICATOR([posix_spawn_file_actions_init])
691  gl_POSIX_SPAWN
692  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1; then
693    AC_LIBOBJ([spawnattr_destroy])
694  fi
695  gl_SPAWN_MODULE_INDICATOR([posix_spawnattr_destroy])
696  gl_POSIX_SPAWN
697  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1; then
698    AC_LIBOBJ([spawnattr_init])
699  fi
700  gl_SPAWN_MODULE_INDICATOR([posix_spawnattr_init])
701  gl_POSIX_SPAWN
702  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1; then
703    AC_LIBOBJ([spawnattr_setflags])
704  fi
705  gl_SPAWN_MODULE_INDICATOR([posix_spawnattr_setflags])
706  gl_POSIX_SPAWN
707  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1; then
708    AC_LIBOBJ([spawnattr_setsigmask])
709  fi
710  gl_SPAWN_MODULE_INDICATOR([posix_spawnattr_setsigmask])
711  gl_POSIX_SPAWN
712  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1; then
713    AC_LIBOBJ([spawnp])
714  fi
715  gl_SPAWN_MODULE_INDICATOR([posix_spawnp])
716  gl_FUNC_PRINTF_FREXP
717  gl_FUNC_PRINTF_FREXPL
718  gl_FUNC_PRINTF_POSIX
719  gl_STDIO_MODULE_INDICATOR([printf-posix])
720  m4_divert_text([INIT_PREPARE], [gl_printf_safe=yes])
721  AC_CHECK_DECLS([program_invocation_name], [], [], [#include <errno.h>])
722  AC_CHECK_DECLS([program_invocation_short_name], [], [], [#include <errno.h>])
723  gl_QUOTE
724  gl_QUOTEARG
725  gl_FUNC_RAISE
726  if test $HAVE_RAISE = 0 || test $REPLACE_RAISE = 1; then
727    AC_LIBOBJ([raise])
728    gl_PREREQ_RAISE
729  fi
730  gl_SIGNAL_MODULE_INDICATOR([raise])
731  AC_REQUIRE([AC_C_INLINE])
732  gl_FUNC_READLINE
733  if test "$gl_cv_lib_readline" = no; then
734    AC_LIBOBJ([readline])
735    gl_PREREQ_READLINE
736  fi
737  gl_FUNC_READLINK
738  if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
739    AC_LIBOBJ([readlink])
740    gl_PREREQ_READLINK
741  fi
742  gl_UNISTD_MODULE_INDICATOR([readlink])
743  gl_FUNC_REALLOC_POSIX
744  if test $REPLACE_REALLOC = 1; then
745    AC_LIBOBJ([realloc])
746  fi
747  gl_STDLIB_MODULE_INDICATOR([realloc-posix])
748  gl_RELOCATABLE([$gl_source_base])
749  if test $RELOCATABLE = yes; then
750    AC_LIBOBJ([progreloc])
751    AC_LIBOBJ([relocatable])
752  fi
753  AC_REQUIRE([AC_C_RESTRICT])
754  gl_FUNC_READLINK_SEPARATE
755  gl_CANONICALIZE_LGPL_SEPARATE
756  gl_MALLOCA
757  gl_RELOCATABLE_LIBRARY
758  gl_FUNC_SETENV_SEPARATE
759  AC_REQUIRE([gl_RELOCATABLE_NOP])
760  relocatable_sh=$ac_aux_dir/relocatable.sh.in
761  AC_SUBST_FILE([relocatable_sh])
762  gl_FUNC_RENAME
763  if test $REPLACE_RENAME = 1; then
764    AC_LIBOBJ([rename])
765  fi
766  gl_STDIO_MODULE_INDICATOR([rename])
767  gl_SCHED_H
768  gl_SIGACTION
769  if test $HAVE_SIGACTION = 0; then
770    AC_LIBOBJ([sigaction])
771    gl_PREREQ_SIGACTION
772  fi
773  gl_SIGNAL_MODULE_INDICATOR([sigaction])
774  gl_SIGNAL_H
775  gl_SIGNBIT
776  if test $REPLACE_SIGNBIT = 1; then
777    AC_LIBOBJ([signbitf])
778    AC_LIBOBJ([signbitd])
779    AC_LIBOBJ([signbitl])
780  fi
781  gl_MATH_MODULE_INDICATOR([signbit])
782  gl_SIGNALBLOCKING
783  if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
784    AC_LIBOBJ([sigprocmask])
785    gl_PREREQ_SIGPROCMASK
786  fi
787  gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
788  gl_SIZE_MAX
789  gl_FUNC_SNPRINTF
790  gl_STDIO_MODULE_INDICATOR([snprintf])
791  gl_MODULE_INDICATOR([snprintf])
792  gl_FUNC_SNPRINTF_POSIX
793  gl_SPAWN_H
794  gl_SPAWN_PIPE
795  gl_FUNC_SPRINTF_POSIX
796  gl_STDIO_MODULE_INDICATOR([sprintf-posix])
797  gt_TYPE_SSIZE_T
798  AM_STDBOOL_H
799  gl_STDDEF_H
800  gl_STDINT_H
801  gl_STDIO_H
802  gl_STDLIB_H
803  gl_FUNC_STPCPY
804  if test $HAVE_STPCPY = 0; then
805    AC_LIBOBJ([stpcpy])
806    gl_PREREQ_STPCPY
807  fi
808  gl_STRING_MODULE_INDICATOR([stpcpy])
809  gl_FUNC_STPNCPY
810  if test $HAVE_STPNCPY = 0 || test $REPLACE_STPNCPY = 1; then
811    AC_LIBOBJ([stpncpy])
812    gl_PREREQ_STPNCPY
813  fi
814  gl_STRING_MODULE_INDICATOR([stpncpy])
815  gl_FUNC_STRDUP_POSIX
816  if test $REPLACE_STRDUP = 1; then
817    AC_LIBOBJ([strdup])
818    gl_PREREQ_STRDUP
819  fi
820  gl_STRING_MODULE_INDICATOR([strdup])
821  gl_FUNC_STRERROR
822  if test $REPLACE_STRERROR = 1; then
823    AC_LIBOBJ([strerror])
824  fi
825  gl_MODULE_INDICATOR([strerror])
826  gl_STRING_MODULE_INDICATOR([strerror])
827  gl_HEADER_STRING_H
828  gl_FUNC_STRNDUP
829  if test $HAVE_STRNDUP = 0 || test $REPLACE_STRNDUP = 1; then
830    AC_LIBOBJ([strndup])
831  fi
832  gl_STRING_MODULE_INDICATOR([strndup])
833  gl_FUNC_STRVERSCMP
834  if test $HAVE_STRVERSCMP = 0; then
835    AC_LIBOBJ([strverscmp])
836    gl_PREREQ_STRVERSCMP
837  fi
838  gl_STRING_MODULE_INDICATOR([strverscmp])
839  gl_SYS_IOCTL_H
840  AC_PROG_MKDIR_P
841  gl_HEADER_SYS_RESOURCE
842  AC_PROG_MKDIR_P
843  gl_HEADER_SYS_TIME_H
844  AC_PROG_MKDIR_P
845  gl_SYS_TIMES_H
846  AC_PROG_MKDIR_P
847  gl_SYS_TYPES_H
848  AC_PROG_MKDIR_P
849  gl_SYS_WAIT_H
850  AC_PROG_MKDIR_P
851  gl_TERMIOS_H
852  AC_CHECK_HEADERS([sys/single_threaded.h])
853  AC_REQUIRE([gl_THREADLIB])
854  gl_HEADER_TIME_H
855  gl_TIMESPEC
856  gl_TLS
857  gl_UNICODEIO
858  gl_UNISTD_H
859  gl_UNISTD_SAFER
860  gl_LIBUNISTRING_LIBHEADER([0.9.4], [unistr.h])
861  gl_MODULE_INDICATOR([unistr/u8-mbtoucr])
862  gl_LIBUNISTRING_MODULE([0.9], [unistr/u8-mbtoucr])
863  gl_MODULE_INDICATOR([unistr/u8-uctomb])
864  gl_LIBUNISTRING_MODULE([0.9], [unistr/u8-uctomb])
865  gl_LIBUNISTRING_LIBHEADER([0.9.4], [unitypes.h])
866  gl_LIBUNISTRING_LIBHEADER([0.9.4], [uniwidth.h])
867  gl_LIBUNISTRING_MODULE([0.9.8], [uniwidth/width])
868  gl_FUNC_UNLINK
869  if test $REPLACE_UNLINK = 1; then
870    AC_LIBOBJ([unlink])
871  fi
872  gl_UNISTD_MODULE_INDICATOR([unlink])
873  gl_FUNC_GLIBC_UNLOCKED_IO
874  gl_FUNC_UNSETENV
875  if test $HAVE_UNSETENV = 0 || test $REPLACE_UNSETENV = 1; then
876    AC_LIBOBJ([unsetenv])
877    gl_PREREQ_UNSETENV
878  fi
879  gl_STDLIB_MODULE_INDICATOR([unsetenv])
880  AC_REQUIRE([AC_C_RESTRICT])
881  gl_FUNC_VASNPRINTF
882  gl_FUNC_VASPRINTF
883  gl_STDIO_MODULE_INDICATOR([vasprintf])
884  m4_ifdef([AM_XGETTEXT_OPTION],
885    [AM_][XGETTEXT_OPTION([--flag=asprintf:2:c-format])
886     AM_][XGETTEXT_OPTION([--flag=vasprintf:2:c-format])])
887  gl_FUNC_VASPRINTF_POSIX
888  gl_FUNC_VSNPRINTF
889  gl_STDIO_MODULE_INDICATOR([vsnprintf])
890  gl_FUNC_VSNPRINTF_POSIX
891  gl_FUNC_VSPRINTF_POSIX
892  gl_STDIO_MODULE_INDICATOR([vsprintf-posix])
893  gl_WAIT_PROCESS
894  gl_FUNC_WAITPID
895  if test $HAVE_WAITPID = 0; then
896    AC_LIBOBJ([waitpid])
897  fi
898  gl_SYS_WAIT_MODULE_INDICATOR([waitpid])
899  gl_WCHAR_H
900  gl_WCTYPE_H
901  gl_FUNC_WCWIDTH
902  if test $HAVE_WCWIDTH = 0 || test $REPLACE_WCWIDTH = 1; then
903    AC_LIBOBJ([wcwidth])
904    gl_PREREQ_WCWIDTH
905  fi
906  gl_WCHAR_MODULE_INDICATOR([wcwidth])
907  gl_HEADER_TIOCGWINSZ_NEEDS_SYS_IOCTL
908  gl_HEADER_TIOCGWINSZ_IN_TERMIOS_H
909  gl_WINSIZE_IN_PTEM
910  gl_XALLOC
911  gl_MODULE_INDICATOR([xalloc])
912  gl_MODULE_INDICATOR([xalloc-die])
913  gl_XSIZE
914  gl_XSTRNDUP
915  gl_gnulib_enabled_chdir=false
916  gl_gnulib_enabled_43fe87a341d9b4b93c47c3ad819a5239=false
917  gl_gnulib_enabled_fseterr=false
918  gl_gnulib_enabled_fstat=false
919  gl_gnulib_enabled_getdelim=false
920  gl_gnulib_enabled_getdtablesize=false
921  gl_gnulib_enabled_getline=false
922  gl_gnulib_enabled_30838f5439487421042f2225bed3af76=false
923  gl_gnulib_enabled_3f0e593033d1fc2c127581960f641b66=false
924  gl_gnulib_enabled_ldexp=false
925  gl_gnulib_enabled_21ee726a3540c09237a8e70c0baf7467=false
926  gl_gnulib_enabled_locale=false
927  gl_gnulib_enabled_lstat=false
928  gl_gnulib_enabled_malloca=false
929  gl_gnulib_enabled_332607f759618fb73dfc3076748afea7=false
930  gl_gnulib_enabled_rawmemchr=false
931  gl_gnulib_enabled_rmdir=false
932  gl_gnulib_enabled_9bc5f216d57e231e4834049d67d0db62=false
933  gl_gnulib_enabled_e7e881d32ca02f1c997b13c737c64bbd=false
934  gl_gnulib_enabled_cdeb0f2aaf9d280baa6526bfa1b07f70=false
935  gl_gnulib_enabled_stat=false
936  gl_gnulib_enabled_0137e3d3638b33e5819d132d0b23165c=false
937  gl_gnulib_enabled_strchrnul=false
938  gl_gnulib_enabled_dbb57f49352be8fb86869629a254fb72=false
939  gl_gnulib_enabled_1f32594a85e6221ba15f884daeee8c2a=false
940  gl_gnulib_enabled_strnlen=false
941  gl_gnulib_enabled_sys_stat=false
942  gl_gnulib_enabled_ed5616be3593d355b981ffab56b9f37b=false
943  gl_gnulib_enabled_503a4cb75d69c787103d0aa2ab7d8440=false
944  gl_gnulib_enabled_68a4501daeca58988392c7e60b4917ab=false
945  gl_gnulib_enabled_f0efff84a70f4afba30902bb8ffe9354=false
946  gl_gnulib_enabled_8bb827fe37eaccf1b97feb0c87bc92ef=false
947  gl_gnulib_enabled_48b2271240803e4879464b755748a89d=false
948  func_gl_gnulib_m4code_chdir ()
949  {
950    if ! $gl_gnulib_enabled_chdir; then
951      gl_UNISTD_MODULE_INDICATOR([chdir])
952      gl_gnulib_enabled_chdir=true
953    fi
954  }
955  func_gl_gnulib_m4code_43fe87a341d9b4b93c47c3ad819a5239 ()
956  {
957    if ! $gl_gnulib_enabled_43fe87a341d9b4b93c47c3ad819a5239; then
958      gl_gnulib_enabled_43fe87a341d9b4b93c47c3ad819a5239=true
959    fi
960  }
961  func_gl_gnulib_m4code_fseterr ()
962  {
963    if ! $gl_gnulib_enabled_fseterr; then
964      gl_FUNC_FSETERR
965      if test $ac_cv_func___fseterr = no; then
966        AC_LIBOBJ([fseterr])
967      fi
968      gl_gnulib_enabled_fseterr=true
969    fi
970  }
971  func_gl_gnulib_m4code_fstat ()
972  {
973    if ! $gl_gnulib_enabled_fstat; then
974      gl_FUNC_FSTAT
975      if test $REPLACE_FSTAT = 1; then
976        AC_LIBOBJ([fstat])
977        case "$host_os" in
978          mingw*)
979            AC_LIBOBJ([stat-w32])
980            ;;
981        esac
982        gl_PREREQ_FSTAT
983      fi
984      gl_SYS_STAT_MODULE_INDICATOR([fstat])
985      gl_gnulib_enabled_fstat=true
986      if test $REPLACE_FSTAT = 1; then
987        func_gl_gnulib_m4code_stat
988      fi
989      if test $REPLACE_FSTAT = 1; then
990        func_gl_gnulib_m4code_0137e3d3638b33e5819d132d0b23165c
991      fi
992      func_gl_gnulib_m4code_sys_stat
993    fi
994  }
995  func_gl_gnulib_m4code_getdelim ()
996  {
997    if ! $gl_gnulib_enabled_getdelim; then
998      gl_FUNC_GETDELIM
999      if test $HAVE_GETDELIM = 0 || test $REPLACE_GETDELIM = 1; then
1000        AC_LIBOBJ([getdelim])
1001        gl_PREREQ_GETDELIM
1002      fi
1003      gl_STDIO_MODULE_INDICATOR([getdelim])
1004      gl_gnulib_enabled_getdelim=true
1005    fi
1006  }
1007  func_gl_gnulib_m4code_getdtablesize ()
1008  {
1009    if ! $gl_gnulib_enabled_getdtablesize; then
1010      gl_FUNC_GETDTABLESIZE
1011      if test $HAVE_GETDTABLESIZE = 0 || test $REPLACE_GETDTABLESIZE = 1; then
1012        AC_LIBOBJ([getdtablesize])
1013        gl_PREREQ_GETDTABLESIZE
1014      fi
1015      gl_UNISTD_MODULE_INDICATOR([getdtablesize])
1016      gl_gnulib_enabled_getdtablesize=true
1017    fi
1018  }
1019  func_gl_gnulib_m4code_getline ()
1020  {
1021    if ! $gl_gnulib_enabled_getline; then
1022      gl_FUNC_GETLINE
1023      if test $REPLACE_GETLINE = 1; then
1024        AC_LIBOBJ([getline])
1025        gl_PREREQ_GETLINE
1026      fi
1027      gl_STDIO_MODULE_INDICATOR([getline])
1028      gl_gnulib_enabled_getline=true
1029      if test $REPLACE_GETLINE = 1; then
1030        func_gl_gnulib_m4code_getdelim
1031      fi
1032    fi
1033  }
1034  func_gl_gnulib_m4code_30838f5439487421042f2225bed3af76 ()
1035  {
1036    if ! $gl_gnulib_enabled_30838f5439487421042f2225bed3af76; then
1037      AC_REQUIRE([gl_FUNC_SETLOCALE_NULL])
1038      LIB_HARD_LOCALE="$LIB_SETLOCALE_NULL"
1039      AC_SUBST([LIB_HARD_LOCALE])
1040      gl_gnulib_enabled_30838f5439487421042f2225bed3af76=true
1041      func_gl_gnulib_m4code_e7e881d32ca02f1c997b13c737c64bbd
1042    fi
1043  }
1044  func_gl_gnulib_m4code_3f0e593033d1fc2c127581960f641b66 ()
1045  {
1046    if ! $gl_gnulib_enabled_3f0e593033d1fc2c127581960f641b66; then
1047      gl_FUNC_ISNANF_NO_LIBM
1048      if test $gl_func_isnanf_no_libm != yes; then
1049        AC_LIBOBJ([isnanf])
1050        gl_PREREQ_ISNANF
1051      fi
1052      gl_gnulib_enabled_3f0e593033d1fc2c127581960f641b66=true
1053    fi
1054  }
1055  func_gl_gnulib_m4code_ldexp ()
1056  {
1057    if ! $gl_gnulib_enabled_ldexp; then
1058      gl_FUNC_LDEXP
1059      gl_gnulib_enabled_ldexp=true
1060    fi
1061  }
1062  func_gl_gnulib_m4code_21ee726a3540c09237a8e70c0baf7467 ()
1063  {
1064    if ! $gl_gnulib_enabled_21ee726a3540c09237a8e70c0baf7467; then
1065      gl___INLINE
1066      gl_gnulib_enabled_21ee726a3540c09237a8e70c0baf7467=true
1067    fi
1068  }
1069  func_gl_gnulib_m4code_locale ()
1070  {
1071    if ! $gl_gnulib_enabled_locale; then
1072      gl_LOCALE_H
1073      gl_gnulib_enabled_locale=true
1074    fi
1075  }
1076  func_gl_gnulib_m4code_lstat ()
1077  {
1078    if ! $gl_gnulib_enabled_lstat; then
1079      gl_FUNC_LSTAT
1080      if test $REPLACE_LSTAT = 1; then
1081        AC_LIBOBJ([lstat])
1082        gl_PREREQ_LSTAT
1083      fi
1084      gl_SYS_STAT_MODULE_INDICATOR([lstat])
1085      gl_gnulib_enabled_lstat=true
1086      if test $REPLACE_LSTAT = 1; then
1087        func_gl_gnulib_m4code_stat
1088      fi
1089      if test $REPLACE_LSTAT = 1; then
1090        func_gl_gnulib_m4code_0137e3d3638b33e5819d132d0b23165c
1091      fi
1092      func_gl_gnulib_m4code_sys_stat
1093    fi
1094  }
1095  func_gl_gnulib_m4code_malloca ()
1096  {
1097    if ! $gl_gnulib_enabled_malloca; then
1098      gl_MALLOCA
1099      gl_gnulib_enabled_malloca=true
1100    fi
1101  }
1102  func_gl_gnulib_m4code_332607f759618fb73dfc3076748afea7 ()
1103  {
1104    if ! $gl_gnulib_enabled_332607f759618fb73dfc3076748afea7; then
1105      gl_POSIX_SPAWN
1106      if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1; then
1107        AC_LIBOBJ([spawni])
1108        gl_PREREQ_POSIX_SPAWN_INTERNAL
1109      fi
1110      gl_gnulib_enabled_332607f759618fb73dfc3076748afea7=true
1111      func_gl_gnulib_m4code_cdeb0f2aaf9d280baa6526bfa1b07f70
1112      func_gl_gnulib_m4code_strchrnul
1113    fi
1114  }
1115  func_gl_gnulib_m4code_rawmemchr ()
1116  {
1117    if ! $gl_gnulib_enabled_rawmemchr; then
1118      gl_FUNC_RAWMEMCHR
1119      if test $HAVE_RAWMEMCHR = 0; then
1120        AC_LIBOBJ([rawmemchr])
1121        gl_PREREQ_RAWMEMCHR
1122      fi
1123      gl_STRING_MODULE_INDICATOR([rawmemchr])
1124      gl_gnulib_enabled_rawmemchr=true
1125    fi
1126  }
1127  func_gl_gnulib_m4code_rmdir ()
1128  {
1129    if ! $gl_gnulib_enabled_rmdir; then
1130      gl_FUNC_RMDIR
1131      if test $REPLACE_RMDIR = 1; then
1132        AC_LIBOBJ([rmdir])
1133      fi
1134      gl_UNISTD_MODULE_INDICATOR([rmdir])
1135      gl_gnulib_enabled_rmdir=true
1136      if test $REPLACE_RMDIR = 1; then
1137        func_gl_gnulib_m4code_sys_stat
1138      fi
1139    fi
1140  }
1141  func_gl_gnulib_m4code_9bc5f216d57e231e4834049d67d0db62 ()
1142  {
1143    if ! $gl_gnulib_enabled_9bc5f216d57e231e4834049d67d0db62; then
1144      gl_gnulib_enabled_9bc5f216d57e231e4834049d67d0db62=true
1145    fi
1146  }
1147  func_gl_gnulib_m4code_e7e881d32ca02f1c997b13c737c64bbd ()
1148  {
1149    if ! $gl_gnulib_enabled_e7e881d32ca02f1c997b13c737c64bbd; then
1150      gl_FUNC_SETLOCALE_NULL
1151      if test $SETLOCALE_NULL_ALL_MTSAFE = 0 || test $SETLOCALE_NULL_ONE_MTSAFE = 0; then
1152        AC_LIBOBJ([setlocale-lock])
1153        gl_PREREQ_SETLOCALE_LOCK
1154      fi
1155      gl_LOCALE_MODULE_INDICATOR([setlocale_null])
1156      gl_gnulib_enabled_e7e881d32ca02f1c997b13c737c64bbd=true
1157      func_gl_gnulib_m4code_locale
1158    fi
1159  }
1160  func_gl_gnulib_m4code_cdeb0f2aaf9d280baa6526bfa1b07f70 ()
1161  {
1162    if ! $gl_gnulib_enabled_cdeb0f2aaf9d280baa6526bfa1b07f70; then
1163      gl_SH_FILENAME
1164      gl_gnulib_enabled_cdeb0f2aaf9d280baa6526bfa1b07f70=true
1165    fi
1166  }
1167  func_gl_gnulib_m4code_stat ()
1168  {
1169    if ! $gl_gnulib_enabled_stat; then
1170      gl_FUNC_STAT
1171      if test $REPLACE_STAT = 1; then
1172        AC_LIBOBJ([stat])
1173        case "$host_os" in
1174          mingw*)
1175            AC_LIBOBJ([stat-w32])
1176            ;;
1177        esac
1178        gl_PREREQ_STAT
1179      fi
1180      gl_SYS_STAT_MODULE_INDICATOR([stat])
1181      gl_gnulib_enabled_stat=true
1182      if test $REPLACE_STAT = 1; then
1183        func_gl_gnulib_m4code_malloca
1184      fi
1185      if test $REPLACE_STAT = 1; then
1186        func_gl_gnulib_m4code_0137e3d3638b33e5819d132d0b23165c
1187      fi
1188      func_gl_gnulib_m4code_sys_stat
1189    fi
1190  }
1191  func_gl_gnulib_m4code_0137e3d3638b33e5819d132d0b23165c ()
1192  {
1193    if ! $gl_gnulib_enabled_0137e3d3638b33e5819d132d0b23165c; then
1194      gl_STAT_TIME
1195      gl_STAT_BIRTHTIME
1196      gl_gnulib_enabled_0137e3d3638b33e5819d132d0b23165c=true
1197    fi
1198  }
1199  func_gl_gnulib_m4code_strchrnul ()
1200  {
1201    if ! $gl_gnulib_enabled_strchrnul; then
1202      gl_FUNC_STRCHRNUL
1203      if test $HAVE_STRCHRNUL = 0 || test $REPLACE_STRCHRNUL = 1; then
1204        AC_LIBOBJ([strchrnul])
1205        gl_PREREQ_STRCHRNUL
1206      fi
1207      gl_STRING_MODULE_INDICATOR([strchrnul])
1208      gl_gnulib_enabled_strchrnul=true
1209      if test $HAVE_STRCHRNUL = 0 || test $REPLACE_STRCHRNUL = 1; then
1210        func_gl_gnulib_m4code_rawmemchr
1211      fi
1212    fi
1213  }
1214  func_gl_gnulib_m4code_dbb57f49352be8fb86869629a254fb72 ()
1215  {
1216    if ! $gl_gnulib_enabled_dbb57f49352be8fb86869629a254fb72; then
1217      AC_REQUIRE([gl_HEADER_ERRNO_H])
1218      AC_REQUIRE([gl_FUNC_STRERROR_0])
1219      if test -n "$ERRNO_H" || test $REPLACE_STRERROR_0 = 1; then
1220        AC_LIBOBJ([strerror-override])
1221        gl_PREREQ_SYS_H_WINSOCK2
1222      fi
1223      gl_gnulib_enabled_dbb57f49352be8fb86869629a254fb72=true
1224    fi
1225  }
1226  func_gl_gnulib_m4code_1f32594a85e6221ba15f884daeee8c2a ()
1227  {
1228    if ! $gl_gnulib_enabled_1f32594a85e6221ba15f884daeee8c2a; then
1229      gl_FUNC_STRERROR_R
1230      if test $HAVE_DECL_STRERROR_R = 0 || test $REPLACE_STRERROR_R = 1; then
1231        AC_LIBOBJ([strerror_r])
1232        gl_PREREQ_STRERROR_R
1233      fi
1234      gl_STRING_MODULE_INDICATOR([strerror_r])
1235      dnl For the modules argp, error.
1236      gl_MODULE_INDICATOR([strerror_r-posix])
1237      gl_gnulib_enabled_1f32594a85e6221ba15f884daeee8c2a=true
1238      if test $HAVE_DECL_STRERROR_R = 0 || test $REPLACE_STRERROR_R = 1; then
1239        func_gl_gnulib_m4code_dbb57f49352be8fb86869629a254fb72
1240      fi
1241    fi
1242  }
1243  func_gl_gnulib_m4code_strnlen ()
1244  {
1245    if ! $gl_gnulib_enabled_strnlen; then
1246      gl_FUNC_STRNLEN
1247      if test $HAVE_DECL_STRNLEN = 0 || test $REPLACE_STRNLEN = 1; then
1248        AC_LIBOBJ([strnlen])
1249        gl_PREREQ_STRNLEN
1250      fi
1251      gl_STRING_MODULE_INDICATOR([strnlen])
1252      gl_gnulib_enabled_strnlen=true
1253    fi
1254  }
1255  func_gl_gnulib_m4code_sys_stat ()
1256  {
1257    if ! $gl_gnulib_enabled_sys_stat; then
1258      gl_HEADER_SYS_STAT_H
1259      AC_PROG_MKDIR_P
1260      gl_gnulib_enabled_sys_stat=true
1261    fi
1262  }
1263  func_gl_gnulib_m4code_ed5616be3593d355b981ffab56b9f37b ()
1264  {
1265    if ! $gl_gnulib_enabled_ed5616be3593d355b981ffab56b9f37b; then
1266      gl_FUNC_VFPRINTF_POSIX
1267      gl_STDIO_MODULE_INDICATOR([vfprintf-posix])
1268      gl_gnulib_enabled_ed5616be3593d355b981ffab56b9f37b=true
1269      if test $REPLACE_VFPRINTF = 1; then
1270        func_gl_gnulib_m4code_fseterr
1271      fi
1272    fi
1273  }
1274  func_gl_gnulib_m4code_503a4cb75d69c787103d0aa2ab7d8440 ()
1275  {
1276    if ! $gl_gnulib_enabled_503a4cb75d69c787103d0aa2ab7d8440; then
1277      AC_REQUIRE([AC_CANONICAL_HOST])
1278      case "$host_os" in
1279        mingw*)
1280          AC_LIBOBJ([windows-mutex])
1281          ;;
1282      esac
1283      gl_gnulib_enabled_503a4cb75d69c787103d0aa2ab7d8440=true
1284    fi
1285  }
1286  func_gl_gnulib_m4code_68a4501daeca58988392c7e60b4917ab ()
1287  {
1288    if ! $gl_gnulib_enabled_68a4501daeca58988392c7e60b4917ab; then
1289      AC_REQUIRE([AC_CANONICAL_HOST])
1290      case "$host_os" in
1291        mingw*)
1292          AC_LIBOBJ([windows-once])
1293          ;;
1294      esac
1295      gl_gnulib_enabled_68a4501daeca58988392c7e60b4917ab=true
1296    fi
1297  }
1298  func_gl_gnulib_m4code_f0efff84a70f4afba30902bb8ffe9354 ()
1299  {
1300    if ! $gl_gnulib_enabled_f0efff84a70f4afba30902bb8ffe9354; then
1301      AC_REQUIRE([AC_CANONICAL_HOST])
1302      case "$host_os" in
1303        mingw*)
1304          AC_LIBOBJ([windows-recmutex])
1305          ;;
1306      esac
1307      gl_gnulib_enabled_f0efff84a70f4afba30902bb8ffe9354=true
1308    fi
1309  }
1310  func_gl_gnulib_m4code_8bb827fe37eaccf1b97feb0c87bc92ef ()
1311  {
1312    if ! $gl_gnulib_enabled_8bb827fe37eaccf1b97feb0c87bc92ef; then
1313      AC_REQUIRE([AC_CANONICAL_HOST])
1314      case "$host_os" in
1315        mingw*)
1316          AC_LIBOBJ([windows-rwlock])
1317          ;;
1318      esac
1319      gl_gnulib_enabled_8bb827fe37eaccf1b97feb0c87bc92ef=true
1320    fi
1321  }
1322  func_gl_gnulib_m4code_48b2271240803e4879464b755748a89d ()
1323  {
1324    if ! $gl_gnulib_enabled_48b2271240803e4879464b755748a89d; then
1325      AC_REQUIRE([AC_CANONICAL_HOST])
1326      case "$host_os" in
1327        mingw*)
1328          AC_LIBOBJ([windows-tls])
1329          ;;
1330      esac
1331      gl_gnulib_enabled_48b2271240803e4879464b755748a89d=true
1332      func_gl_gnulib_m4code_68a4501daeca58988392c7e60b4917ab
1333    fi
1334  }
1335  if test $HAVE_CANONICALIZE_FILE_NAME = 0 || test $REPLACE_CANONICALIZE_FILE_NAME = 1; then
1336    func_gl_gnulib_m4code_lstat
1337  fi
1338  if test $HAVE_CANONICALIZE_FILE_NAME = 0 || test $REPLACE_CANONICALIZE_FILE_NAME = 1; then
1339    func_gl_gnulib_m4code_malloca
1340  fi
1341  if test $HAVE_CANONICALIZE_FILE_NAME = 0 || test $REPLACE_CANONICALIZE_FILE_NAME = 1; then
1342    func_gl_gnulib_m4code_sys_stat
1343  fi
1344  if test $REPLACE_CLOSE = 1; then
1345    func_gl_gnulib_m4code_43fe87a341d9b4b93c47c3ad819a5239
1346  fi
1347  if test $HAVE_FCNTL = 0 || test $REPLACE_FCNTL = 1; then
1348    func_gl_gnulib_m4code_getdtablesize
1349  fi
1350  if test $REPLACE_FOPEN = 1; then
1351    func_gl_gnulib_m4code_fstat
1352  fi
1353  if test $REPLACE_FPRINTF = 1; then
1354    func_gl_gnulib_m4code_fseterr
1355  fi
1356  if { test $HAVE_DECL_LDEXPL = 0 || test $gl_func_ldexpl = no; } && test $HAVE_SAME_LONG_DOUBLE_AS_DOUBLE = 1; then
1357    func_gl_gnulib_m4code_ldexp
1358  fi
1359  if test $gl_threads_api = windows; then
1360    func_gl_gnulib_m4code_503a4cb75d69c787103d0aa2ab7d8440
1361  fi
1362  if test $gl_threads_api = windows; then
1363    func_gl_gnulib_m4code_68a4501daeca58988392c7e60b4917ab
1364  fi
1365  if test $gl_threads_api = windows; then
1366    func_gl_gnulib_m4code_f0efff84a70f4afba30902bb8ffe9354
1367  fi
1368  if test $gl_threads_api = windows; then
1369    func_gl_gnulib_m4code_8bb827fe37eaccf1b97feb0c87bc92ef
1370  fi
1371  if { test $HAVE_MBRTOWC = 0 || test $REPLACE_MBRTOWC = 1; } && test $REPLACE_MBSTATE_T = 0; then
1372    func_gl_gnulib_m4code_30838f5439487421042f2225bed3af76
1373  fi
1374  if test $REPLACE_OPEN = 1; then
1375    func_gl_gnulib_m4code_fstat
1376  fi
1377  if test $REPLACE_OPEN = 1; then
1378    func_gl_gnulib_m4code_stat
1379  fi
1380  if test $REPLACE_PERROR = 1; then
1381    func_gl_gnulib_m4code_dbb57f49352be8fb86869629a254fb72
1382  fi
1383  if test $REPLACE_PERROR = 1; then
1384    func_gl_gnulib_m4code_1f32594a85e6221ba15f884daeee8c2a
1385  fi
1386  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1 || test $REPLACE_POSIX_SPAWN_FILE_ACTIONS_ADDCLOSE = 1; then
1387    func_gl_gnulib_m4code_getdtablesize
1388  fi
1389  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1 || test $REPLACE_POSIX_SPAWN_FILE_ACTIONS_ADDDUP2 = 1; then
1390    func_gl_gnulib_m4code_getdtablesize
1391  fi
1392  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1 || test $REPLACE_POSIX_SPAWN_FILE_ACTIONS_ADDOPEN = 1; then
1393    func_gl_gnulib_m4code_getdtablesize
1394  fi
1395  if test $HAVE_POSIX_SPAWN = 0 || test $REPLACE_POSIX_SPAWN = 1; then
1396    func_gl_gnulib_m4code_332607f759618fb73dfc3076748afea7
1397  fi
1398  if test $REPLACE_PRINTF = 1; then
1399    func_gl_gnulib_m4code_ed5616be3593d355b981ffab56b9f37b
1400  fi
1401  if test "$gl_cv_lib_readline" = no; then
1402    func_gl_gnulib_m4code_getline
1403  fi
1404  if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
1405    func_gl_gnulib_m4code_stat
1406  fi
1407  if test $REPLACE_RENAME = 1; then
1408    func_gl_gnulib_m4code_chdir
1409  fi
1410  if test $REPLACE_RENAME = 1; then
1411    func_gl_gnulib_m4code_lstat
1412  fi
1413  if test $REPLACE_RENAME = 1; then
1414    func_gl_gnulib_m4code_rmdir
1415  fi
1416  if test $REPLACE_RENAME = 1; then
1417    func_gl_gnulib_m4code_9bc5f216d57e231e4834049d67d0db62
1418  fi
1419  if test $REPLACE_RENAME = 1; then
1420    func_gl_gnulib_m4code_stat
1421  fi
1422  if test $REPLACE_SIGNBIT = 1; then
1423    func_gl_gnulib_m4code_3f0e593033d1fc2c127581960f641b66
1424  fi
1425  if test $REPLACE_STRERROR = 1; then
1426    func_gl_gnulib_m4code_dbb57f49352be8fb86869629a254fb72
1427  fi
1428  if test $HAVE_STRNDUP = 0 || test $REPLACE_STRNDUP = 1; then
1429    func_gl_gnulib_m4code_strnlen
1430  fi
1431  if test $HAVE_STRVERSCMP = 0; then
1432    func_gl_gnulib_m4code_21ee726a3540c09237a8e70c0baf7467
1433  fi
1434  if test $gl_threads_api = windows; then
1435    func_gl_gnulib_m4code_48b2271240803e4879464b755748a89d
1436  fi
1437  if test $REPLACE_UNLINK = 1; then
1438    func_gl_gnulib_m4code_lstat
1439  fi
1440  m4_pattern_allow([^gl_GNULIB_ENABLED_])
1441  AM_CONDITIONAL([gl_GNULIB_ENABLED_chdir], [$gl_gnulib_enabled_chdir])
1442  AM_CONDITIONAL([gl_GNULIB_ENABLED_43fe87a341d9b4b93c47c3ad819a5239], [$gl_gnulib_enabled_43fe87a341d9b4b93c47c3ad819a5239])
1443  AM_CONDITIONAL([gl_GNULIB_ENABLED_fseterr], [$gl_gnulib_enabled_fseterr])
1444  AM_CONDITIONAL([gl_GNULIB_ENABLED_fstat], [$gl_gnulib_enabled_fstat])
1445  AM_CONDITIONAL([gl_GNULIB_ENABLED_getdelim], [$gl_gnulib_enabled_getdelim])
1446  AM_CONDITIONAL([gl_GNULIB_ENABLED_getdtablesize], [$gl_gnulib_enabled_getdtablesize])
1447  AM_CONDITIONAL([gl_GNULIB_ENABLED_getline], [$gl_gnulib_enabled_getline])
1448  AM_CONDITIONAL([gl_GNULIB_ENABLED_30838f5439487421042f2225bed3af76], [$gl_gnulib_enabled_30838f5439487421042f2225bed3af76])
1449  AM_CONDITIONAL([gl_GNULIB_ENABLED_3f0e593033d1fc2c127581960f641b66], [$gl_gnulib_enabled_3f0e593033d1fc2c127581960f641b66])
1450  AM_CONDITIONAL([gl_GNULIB_ENABLED_ldexp], [$gl_gnulib_enabled_ldexp])
1451  AM_CONDITIONAL([gl_GNULIB_ENABLED_21ee726a3540c09237a8e70c0baf7467], [$gl_gnulib_enabled_21ee726a3540c09237a8e70c0baf7467])
1452  AM_CONDITIONAL([gl_GNULIB_ENABLED_locale], [$gl_gnulib_enabled_locale])
1453  AM_CONDITIONAL([gl_GNULIB_ENABLED_lstat], [$gl_gnulib_enabled_lstat])
1454  AM_CONDITIONAL([gl_GNULIB_ENABLED_malloca], [$gl_gnulib_enabled_malloca])
1455  AM_CONDITIONAL([gl_GNULIB_ENABLED_332607f759618fb73dfc3076748afea7], [$gl_gnulib_enabled_332607f759618fb73dfc3076748afea7])
1456  AM_CONDITIONAL([gl_GNULIB_ENABLED_rawmemchr], [$gl_gnulib_enabled_rawmemchr])
1457  AM_CONDITIONAL([gl_GNULIB_ENABLED_rmdir], [$gl_gnulib_enabled_rmdir])
1458  AM_CONDITIONAL([gl_GNULIB_ENABLED_9bc5f216d57e231e4834049d67d0db62], [$gl_gnulib_enabled_9bc5f216d57e231e4834049d67d0db62])
1459  AM_CONDITIONAL([gl_GNULIB_ENABLED_e7e881d32ca02f1c997b13c737c64bbd], [$gl_gnulib_enabled_e7e881d32ca02f1c997b13c737c64bbd])
1460  AM_CONDITIONAL([gl_GNULIB_ENABLED_cdeb0f2aaf9d280baa6526bfa1b07f70], [$gl_gnulib_enabled_cdeb0f2aaf9d280baa6526bfa1b07f70])
1461  AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
1462  AM_CONDITIONAL([gl_GNULIB_ENABLED_0137e3d3638b33e5819d132d0b23165c], [$gl_gnulib_enabled_0137e3d3638b33e5819d132d0b23165c])
1463  AM_CONDITIONAL([gl_GNULIB_ENABLED_strchrnul], [$gl_gnulib_enabled_strchrnul])
1464  AM_CONDITIONAL([gl_GNULIB_ENABLED_dbb57f49352be8fb86869629a254fb72], [$gl_gnulib_enabled_dbb57f49352be8fb86869629a254fb72])
1465  AM_CONDITIONAL([gl_GNULIB_ENABLED_1f32594a85e6221ba15f884daeee8c2a], [$gl_gnulib_enabled_1f32594a85e6221ba15f884daeee8c2a])
1466  AM_CONDITIONAL([gl_GNULIB_ENABLED_strnlen], [$gl_gnulib_enabled_strnlen])
1467  AM_CONDITIONAL([gl_GNULIB_ENABLED_sys_stat], [$gl_gnulib_enabled_sys_stat])
1468  AM_CONDITIONAL([gl_GNULIB_ENABLED_ed5616be3593d355b981ffab56b9f37b], [$gl_gnulib_enabled_ed5616be3593d355b981ffab56b9f37b])
1469  AM_CONDITIONAL([gl_GNULIB_ENABLED_503a4cb75d69c787103d0aa2ab7d8440], [$gl_gnulib_enabled_503a4cb75d69c787103d0aa2ab7d8440])
1470  AM_CONDITIONAL([gl_GNULIB_ENABLED_68a4501daeca58988392c7e60b4917ab], [$gl_gnulib_enabled_68a4501daeca58988392c7e60b4917ab])
1471  AM_CONDITIONAL([gl_GNULIB_ENABLED_f0efff84a70f4afba30902bb8ffe9354], [$gl_gnulib_enabled_f0efff84a70f4afba30902bb8ffe9354])
1472  AM_CONDITIONAL([gl_GNULIB_ENABLED_8bb827fe37eaccf1b97feb0c87bc92ef], [$gl_gnulib_enabled_8bb827fe37eaccf1b97feb0c87bc92ef])
1473  AM_CONDITIONAL([gl_GNULIB_ENABLED_48b2271240803e4879464b755748a89d], [$gl_gnulib_enabled_48b2271240803e4879464b755748a89d])
1474  # End of code from modules
1475  m4_ifval(gl_LIBSOURCES_LIST, [
1476    m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
1477      for gl_file in ]gl_LIBSOURCES_LIST[ ; do
1478        if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
1479          echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
1480          exit 1
1481        fi
1482      done])dnl
1483      m4_if(m4_sysval, [0], [],
1484        [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
1485  ])
1486  m4_popdef([gl_LIBSOURCES_DIR])
1487  m4_popdef([gl_LIBSOURCES_LIST])
1488  m4_popdef([AC_LIBSOURCES])
1489  m4_popdef([AC_REPLACE_FUNCS])
1490  m4_popdef([AC_LIBOBJ])
1491  AC_CONFIG_COMMANDS_PRE([
1492    gl_libobjs=
1493    gl_ltlibobjs=
1494    if test -n "$gl_LIBOBJS"; then
1495      # Remove the extension.
1496      sed_drop_objext='s/\.o$//;s/\.obj$//'
1497      for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
1498        gl_libobjs="$gl_libobjs $i.$ac_objext"
1499        gl_ltlibobjs="$gl_ltlibobjs $i.lo"
1500      done
1501    fi
1502    AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
1503    AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
1504  ])
1505  gltests_libdeps=
1506  gltests_ltlibdeps=
1507  m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
1508  m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
1509  m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
1510  m4_pushdef([gltests_LIBSOURCES_LIST], [])
1511  m4_pushdef([gltests_LIBSOURCES_DIR], [])
1512  gl_COMMON
1513  gl_source_base='tests'
1514changequote(,)dnl
1515  gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
1516changequote([, ])dnl
1517  AC_SUBST([gltests_WITNESS])
1518  gl_module_indicator_condition=$gltests_WITNESS
1519  m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
1520  m4_pattern_allow([^gl_GNULIB_ENABLED_])
1521  m4_popdef([gl_MODULE_INDICATOR_CONDITION])
1522  m4_ifval(gltests_LIBSOURCES_LIST, [
1523    m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
1524      for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
1525        if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
1526          echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
1527          exit 1
1528        fi
1529      done])dnl
1530      m4_if(m4_sysval, [0], [],
1531        [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
1532  ])
1533  m4_popdef([gltests_LIBSOURCES_DIR])
1534  m4_popdef([gltests_LIBSOURCES_LIST])
1535  m4_popdef([AC_LIBSOURCES])
1536  m4_popdef([AC_REPLACE_FUNCS])
1537  m4_popdef([AC_LIBOBJ])
1538  AC_CONFIG_COMMANDS_PRE([
1539    gltests_libobjs=
1540    gltests_ltlibobjs=
1541    if test -n "$gltests_LIBOBJS"; then
1542      # Remove the extension.
1543      sed_drop_objext='s/\.o$//;s/\.obj$//'
1544      for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
1545        gltests_libobjs="$gltests_libobjs $i.$ac_objext"
1546        gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
1547      done
1548    fi
1549    AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
1550    AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
1551  ])
1552  LIBBISON_LIBDEPS="$gl_libdeps"
1553  AC_SUBST([LIBBISON_LIBDEPS])
1554  LIBBISON_LTLIBDEPS="$gl_ltlibdeps"
1555  AC_SUBST([LIBBISON_LTLIBDEPS])
1556])
1557
1558# Like AC_LIBOBJ, except that the module name goes
1559# into gl_LIBOBJS instead of into LIBOBJS.
1560AC_DEFUN([gl_LIBOBJ], [
1561  AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
1562  gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
1563])
1564
1565# Like AC_REPLACE_FUNCS, except that the module name goes
1566# into gl_LIBOBJS instead of into LIBOBJS.
1567AC_DEFUN([gl_REPLACE_FUNCS], [
1568  m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
1569  AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
1570])
1571
1572# Like AC_LIBSOURCES, except the directory where the source file is
1573# expected is derived from the gnulib-tool parameterization,
1574# and alloca is special cased (for the alloca-opt module).
1575# We could also entirely rely on EXTRA_lib..._SOURCES.
1576AC_DEFUN([gl_LIBSOURCES], [
1577  m4_foreach([_gl_NAME], [$1], [
1578    m4_if(_gl_NAME, [alloca.c], [], [
1579      m4_define([gl_LIBSOURCES_DIR], [lib])
1580      m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
1581    ])
1582  ])
1583])
1584
1585# Like AC_LIBOBJ, except that the module name goes
1586# into gltests_LIBOBJS instead of into LIBOBJS.
1587AC_DEFUN([gltests_LIBOBJ], [
1588  AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
1589  gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
1590])
1591
1592# Like AC_REPLACE_FUNCS, except that the module name goes
1593# into gltests_LIBOBJS instead of into LIBOBJS.
1594AC_DEFUN([gltests_REPLACE_FUNCS], [
1595  m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
1596  AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
1597])
1598
1599# Like AC_LIBSOURCES, except the directory where the source file is
1600# expected is derived from the gnulib-tool parameterization,
1601# and alloca is special cased (for the alloca-opt module).
1602# We could also entirely rely on EXTRA_lib..._SOURCES.
1603AC_DEFUN([gltests_LIBSOURCES], [
1604  m4_foreach([_gl_NAME], [$1], [
1605    m4_if(_gl_NAME, [alloca.c], [], [
1606      m4_define([gltests_LIBSOURCES_DIR], [tests])
1607      m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
1608    ])
1609  ])
1610])
1611
1612# This macro records the list of files which have been installed by
1613# gnulib-tool and may be removed by future gnulib-tool invocations.
1614AC_DEFUN([gl_FILE_LIST], [
1615  build-aux/announce-gen
1616  build-aux/config.libpath
1617  build-aux/config.rpath
1618  build-aux/do-release-commit-and-tag
1619  build-aux/gendocs.sh
1620  build-aux/git-version-gen
1621  build-aux/gitlog-to-changelog
1622  build-aux/gnu-web-doc-update
1623  build-aux/gnupload
1624  build-aux/install-reloc
1625  build-aux/javacomp.sh.in
1626  build-aux/javaexec.sh.in
1627  build-aux/libtool-reloc
1628  build-aux/prefix-gnulib-mk
1629  build-aux/reloc-ldflags
1630  build-aux/relocatable.sh.in
1631  build-aux/update-copyright
1632  build-aux/useless-if-before-free
1633  build-aux/vc-list-files
1634  doc/fdl.texi
1635  doc/gendocs_template
1636  doc/gendocs_template_min
1637  doc/gpl-3.0.texi
1638  doc/relocatable.texi
1639  lib/_Noreturn.h
1640  lib/alignof.h
1641  lib/alloca.in.h
1642  lib/allocator.c
1643  lib/allocator.h
1644  lib/areadlink.c
1645  lib/areadlink.h
1646  lib/arg-nonnull.h
1647  lib/argmatch.c
1648  lib/argmatch.h
1649  lib/asnprintf.c
1650  lib/asprintf.c
1651  lib/assure.h
1652  lib/attribute.h
1653  lib/basename-lgpl.c
1654  lib/basename-lgpl.h
1655  lib/basename.c
1656  lib/binary-io.c
1657  lib/binary-io.h
1658  lib/bitrotate.c
1659  lib/bitrotate.h
1660  lib/bitset.c
1661  lib/bitset.h
1662  lib/bitset/array.c
1663  lib/bitset/array.h
1664  lib/bitset/base.h
1665  lib/bitset/list.c
1666  lib/bitset/list.h
1667  lib/bitset/stats.c
1668  lib/bitset/stats.h
1669  lib/bitset/table.c
1670  lib/bitset/table.h
1671  lib/bitset/vector.c
1672  lib/bitset/vector.h
1673  lib/bitsetv.c
1674  lib/bitsetv.h
1675  lib/c++defs.h
1676  lib/c-ctype.c
1677  lib/c-ctype.h
1678  lib/c-strcase.h
1679  lib/c-strcasecmp.c
1680  lib/c-strcaseeq.h
1681  lib/c-strncasecmp.c
1682  lib/calloc.c
1683  lib/canonicalize-lgpl.c
1684  lib/careadlinkat.c
1685  lib/careadlinkat.h
1686  lib/cdefs.h
1687  lib/cloexec.c
1688  lib/cloexec.h
1689  lib/close-stream.c
1690  lib/close-stream.h
1691  lib/close.c
1692  lib/closeout.c
1693  lib/closeout.h
1694  lib/concat-filename.c
1695  lib/concat-filename.h
1696  lib/diffseq.h
1697  lib/dirname-lgpl.c
1698  lib/dirname.c
1699  lib/dirname.h
1700  lib/dup-safer-flag.c
1701  lib/dup-safer.c
1702  lib/dup2.c
1703  lib/errno.in.h
1704  lib/error.c
1705  lib/error.h
1706  lib/exitfail.c
1707  lib/exitfail.h
1708  lib/fatal-signal.c
1709  lib/fatal-signal.h
1710  lib/fcntl.c
1711  lib/fcntl.in.h
1712  lib/fd-hook.c
1713  lib/fd-hook.h
1714  lib/fd-safer-flag.c
1715  lib/fd-safer.c
1716  lib/filename.h
1717  lib/float+.h
1718  lib/float.c
1719  lib/float.in.h
1720  lib/fopen-safer.c
1721  lib/fopen.c
1722  lib/fpending.c
1723  lib/fpending.h
1724  lib/fprintf.c
1725  lib/fpucw.h
1726  lib/frexp.c
1727  lib/frexpl.c
1728  lib/fseterr.c
1729  lib/fseterr.h
1730  lib/fstat.c
1731  lib/fstrcmp.c
1732  lib/fstrcmp.h
1733  lib/fsync.c
1734  lib/getdelim.c
1735  lib/getdtablesize.c
1736  lib/gethrxtime.c
1737  lib/gethrxtime.h
1738  lib/getline.c
1739  lib/getopt-cdefs.in.h
1740  lib/getopt-core.h
1741  lib/getopt-ext.h
1742  lib/getopt-pfx-core.h
1743  lib/getopt-pfx-ext.h
1744  lib/getopt.c
1745  lib/getopt.in.h
1746  lib/getopt1.c
1747  lib/getopt_int.h
1748  lib/getprogname.c
1749  lib/getprogname.h
1750  lib/getrusage.c
1751  lib/gettext.h
1752  lib/gettime.c
1753  lib/gettimeofday.c
1754  lib/gl_anyhash1.h
1755  lib/gl_anyhash2.h
1756  lib/gl_anyhash_primes.h
1757  lib/gl_anylinked_list1.h
1758  lib/gl_anylinked_list2.h
1759  lib/gl_anyrbtree_list1.h
1760  lib/gl_anyrbtree_list2.h
1761  lib/gl_anytree_list1.h
1762  lib/gl_anytree_list2.h
1763  lib/gl_anytree_oset.h
1764  lib/gl_anytreehash_list1.h
1765  lib/gl_anytreehash_list2.h
1766  lib/gl_array_list.c
1767  lib/gl_array_list.h
1768  lib/gl_linked_list.c
1769  lib/gl_linked_list.h
1770  lib/gl_list.c
1771  lib/gl_list.h
1772  lib/gl_oset.c
1773  lib/gl_oset.h
1774  lib/gl_rbtree_ordered.h
1775  lib/gl_rbtree_oset.c
1776  lib/gl_rbtree_oset.h
1777  lib/gl_rbtreehash_list.c
1778  lib/gl_rbtreehash_list.h
1779  lib/gl_xlist.c
1780  lib/gl_xlist.h
1781  lib/glthread/lock.c
1782  lib/glthread/lock.h
1783  lib/glthread/threadlib.c
1784  lib/glthread/tls.c
1785  lib/glthread/tls.h
1786  lib/hard-locale.c
1787  lib/hard-locale.h
1788  lib/hash.c
1789  lib/hash.h
1790  lib/iconv.c
1791  lib/iconv.in.h
1792  lib/iconv_close.c
1793  lib/iconv_open-aix.gperf
1794  lib/iconv_open-hpux.gperf
1795  lib/iconv_open-irix.gperf
1796  lib/iconv_open-osf.gperf
1797  lib/iconv_open-solaris.gperf
1798  lib/iconv_open-zos.gperf
1799  lib/iconv_open.c
1800  lib/intprops.h
1801  lib/inttypes.in.h
1802  lib/isnan.c
1803  lib/isnand-nolibm.h
1804  lib/isnand.c
1805  lib/isnanf-nolibm.h
1806  lib/isnanf.c
1807  lib/isnanl-nolibm.h
1808  lib/isnanl.c
1809  lib/iswblank.c
1810  lib/iswdigit.c
1811  lib/iswxdigit.c
1812  lib/itold.c
1813  lib/lc-charset-dispatch.c
1814  lib/lc-charset-dispatch.h
1815  lib/ldexpl.c
1816  lib/libc-config.h
1817  lib/limits.in.h
1818  lib/localcharset.c
1819  lib/localcharset.h
1820  lib/locale.in.h
1821  lib/lstat.c
1822  lib/malloc.c
1823  lib/malloca.c
1824  lib/malloca.h
1825  lib/math.c
1826  lib/math.in.h
1827  lib/mbchar.c
1828  lib/mbchar.h
1829  lib/mbfile.c
1830  lib/mbfile.h
1831  lib/mbrtowc-impl-utf8.h
1832  lib/mbrtowc-impl.h
1833  lib/mbrtowc.c
1834  lib/mbsinit.c
1835  lib/mbswidth.c
1836  lib/mbswidth.h
1837  lib/mbtowc-lock.c
1838  lib/mbtowc-lock.h
1839  lib/memchr.c
1840  lib/memchr.valgrind
1841  lib/minmax.h
1842  lib/msvc-inval.c
1843  lib/msvc-inval.h
1844  lib/msvc-nothrow.c
1845  lib/msvc-nothrow.h
1846  lib/obstack.c
1847  lib/obstack.h
1848  lib/obstack_printf.c
1849  lib/open.c
1850  lib/pathmax.h
1851  lib/perror.c
1852  lib/pipe-safer.c
1853  lib/pipe2-safer.c
1854  lib/pipe2.c
1855  lib/printf-args.c
1856  lib/printf-args.h
1857  lib/printf-frexp.c
1858  lib/printf-frexp.h
1859  lib/printf-frexpl.c
1860  lib/printf-frexpl.h
1861  lib/printf-parse.c
1862  lib/printf-parse.h
1863  lib/printf.c
1864  lib/progname.c
1865  lib/progname.h
1866  lib/progreloc.c
1867  lib/quote.h
1868  lib/quotearg.c
1869  lib/quotearg.h
1870  lib/raise.c
1871  lib/rawmemchr.c
1872  lib/rawmemchr.valgrind
1873  lib/readline.c
1874  lib/readline.h
1875  lib/readlink.c
1876  lib/realloc.c
1877  lib/relocatable.c
1878  lib/relocatable.h
1879  lib/relocwrapper.c
1880  lib/rename.c
1881  lib/rmdir.c
1882  lib/same-inode.h
1883  lib/sched.in.h
1884  lib/setenv.c
1885  lib/setlocale-lock.c
1886  lib/setlocale_null.c
1887  lib/setlocale_null.h
1888  lib/sig-handler.c
1889  lib/sig-handler.h
1890  lib/sigaction.c
1891  lib/signal.in.h
1892  lib/signbitd.c
1893  lib/signbitf.c
1894  lib/signbitl.c
1895  lib/sigprocmask.c
1896  lib/size_max.h
1897  lib/snprintf.c
1898  lib/spawn-pipe.c
1899  lib/spawn-pipe.h
1900  lib/spawn.in.h
1901  lib/spawn_faction_addclose.c
1902  lib/spawn_faction_adddup2.c
1903  lib/spawn_faction_addopen.c
1904  lib/spawn_faction_destroy.c
1905  lib/spawn_faction_init.c
1906  lib/spawn_int.h
1907  lib/spawnattr_destroy.c
1908  lib/spawnattr_init.c
1909  lib/spawnattr_setflags.c
1910  lib/spawnattr_setsigmask.c
1911  lib/spawni.c
1912  lib/spawnp.c
1913  lib/sprintf.c
1914  lib/stat-time.c
1915  lib/stat-time.h
1916  lib/stat-w32.c
1917  lib/stat-w32.h
1918  lib/stat.c
1919  lib/stdbool.in.h
1920  lib/stddef.in.h
1921  lib/stdint.in.h
1922  lib/stdio--.h
1923  lib/stdio-impl.h
1924  lib/stdio-safer.h
1925  lib/stdio.in.h
1926  lib/stdlib.in.h
1927  lib/stpcpy.c
1928  lib/stpncpy.c
1929  lib/strchrnul.c
1930  lib/strchrnul.valgrind
1931  lib/strdup.c
1932  lib/streq.h
1933  lib/strerror-override.c
1934  lib/strerror-override.h
1935  lib/strerror.c
1936  lib/strerror_r.c
1937  lib/string.in.h
1938  lib/stripslash.c
1939  lib/strndup.c
1940  lib/strnlen.c
1941  lib/strverscmp.c
1942  lib/sys_ioctl.in.h
1943  lib/sys_resource.in.h
1944  lib/sys_stat.in.h
1945  lib/sys_time.in.h
1946  lib/sys_times.in.h
1947  lib/sys_types.in.h
1948  lib/sys_wait.in.h
1949  lib/termios.in.h
1950  lib/textstyle.in.h
1951  lib/thread-optim.h
1952  lib/time.in.h
1953  lib/timespec.c
1954  lib/timespec.h
1955  lib/timevar.c
1956  lib/timevar.h
1957  lib/unicodeio.c
1958  lib/unicodeio.h
1959  lib/unistd--.h
1960  lib/unistd-safer.h
1961  lib/unistd.c
1962  lib/unistd.in.h
1963  lib/unistr.in.h
1964  lib/unistr/u8-mbtoucr.c
1965  lib/unistr/u8-uctomb-aux.c
1966  lib/unistr/u8-uctomb.c
1967  lib/unitypes.in.h
1968  lib/uniwidth.in.h
1969  lib/uniwidth/cjk.h
1970  lib/uniwidth/width.c
1971  lib/unlink.c
1972  lib/unlocked-io.h
1973  lib/unsetenv.c
1974  lib/unused-parameter.h
1975  lib/vasnprintf.c
1976  lib/vasnprintf.h
1977  lib/vasprintf.c
1978  lib/verify.h
1979  lib/vfprintf.c
1980  lib/vsnprintf.c
1981  lib/vsprintf.c
1982  lib/w32spawn.h
1983  lib/wait-process.c
1984  lib/wait-process.h
1985  lib/waitpid.c
1986  lib/warn-on-use.h
1987  lib/wchar.in.h
1988  lib/wctype-h.c
1989  lib/wctype.in.h
1990  lib/wcwidth.c
1991  lib/windows-initguard.h
1992  lib/windows-mutex.c
1993  lib/windows-mutex.h
1994  lib/windows-once.c
1995  lib/windows-once.h
1996  lib/windows-recmutex.c
1997  lib/windows-recmutex.h
1998  lib/windows-rwlock.c
1999  lib/windows-rwlock.h
2000  lib/windows-tls.c
2001  lib/windows-tls.h
2002  lib/xalloc-die.c
2003  lib/xalloc-oversized.h
2004  lib/xalloc.h
2005  lib/xconcat-filename.c
2006  lib/xhash.c
2007  lib/xmalloc.c
2008  lib/xmemdup0.c
2009  lib/xmemdup0.h
2010  lib/xreadlink.c
2011  lib/xreadlink.h
2012  lib/xsize.c
2013  lib/xsize.h
2014  lib/xstrndup.c
2015  lib/xstrndup.h
2016  lib/xtime.c
2017  lib/xtime.h
2018  m4/00gnulib.m4
2019  m4/__inline.m4
2020  m4/absolute-header.m4
2021  m4/alloca.m4
2022  m4/asm-underscore.m4
2023  m4/assert.m4
2024  m4/builtin-expect.m4
2025  m4/calloc.m4
2026  m4/canonicalize.m4
2027  m4/clock_time.m4
2028  m4/close.m4
2029  m4/codeset.m4
2030  m4/config-h.m4
2031  m4/configmake.m4
2032  m4/double-slash-root.m4
2033  m4/dup2.m4
2034  m4/eealloc.m4
2035  m4/environ.m4
2036  m4/errno_h.m4
2037  m4/error.m4
2038  m4/exponentd.m4
2039  m4/exponentf.m4
2040  m4/exponentl.m4
2041  m4/extensions.m4
2042  m4/extern-inline.m4
2043  m4/fatal-signal.m4
2044  m4/fcntl-o.m4
2045  m4/fcntl.m4
2046  m4/fcntl_h.m4
2047  m4/float_h.m4
2048  m4/fopen.m4
2049  m4/fpending.m4
2050  m4/fpieee.m4
2051  m4/fprintf-posix.m4
2052  m4/frexp.m4
2053  m4/frexpl.m4
2054  m4/fseterr.m4
2055  m4/fstat.m4
2056  m4/fsync.m4
2057  m4/getdelim.m4
2058  m4/getdtablesize.m4
2059  m4/gethrxtime.m4
2060  m4/getline.m4
2061  m4/getopt.m4
2062  m4/getprogname.m4
2063  m4/getrusage.m4
2064  m4/gettime.m4
2065  m4/gettimeofday.m4
2066  m4/gnulib-common.m4
2067  m4/host-cpu-c-abi.m4
2068  m4/iconv.m4
2069  m4/iconv_h.m4
2070  m4/iconv_open.m4
2071  m4/include_next.m4
2072  m4/inline.m4
2073  m4/intmax_t.m4
2074  m4/inttypes.m4
2075  m4/inttypes_h.m4
2076  m4/isnan.m4
2077  m4/isnand.m4
2078  m4/isnanf.m4
2079  m4/isnanl.m4
2080  m4/iswblank.m4
2081  m4/iswdigit.m4
2082  m4/iswxdigit.m4
2083  m4/javacomp.m4
2084  m4/javaexec.m4
2085  m4/jm-winsz1.m4
2086  m4/jm-winsz2.m4
2087  m4/largefile.m4
2088  m4/ldexp.m4
2089  m4/ldexpl.m4
2090  m4/lib-ld.m4
2091  m4/lib-link.m4
2092  m4/lib-prefix.m4
2093  m4/libtextstyle-optional.m4
2094  m4/libtextstyle.m4
2095  m4/libunistring-base.m4
2096  m4/limits-h.m4
2097  m4/localcharset.m4
2098  m4/locale-fr.m4
2099  m4/locale-ja.m4
2100  m4/locale-zh.m4
2101  m4/locale_h.m4
2102  m4/lock.m4
2103  m4/lstat.m4
2104  m4/malloc.m4
2105  m4/malloca.m4
2106  m4/math_h.m4
2107  m4/mbchar.m4
2108  m4/mbfile.m4
2109  m4/mbrtowc.m4
2110  m4/mbsinit.m4
2111  m4/mbstate_t.m4
2112  m4/mbswidth.m4
2113  m4/memchr.m4
2114  m4/minmax.m4
2115  m4/mmap-anon.m4
2116  m4/mode_t.m4
2117  m4/msvc-inval.m4
2118  m4/msvc-nothrow.m4
2119  m4/multiarch.m4
2120  m4/musl.m4
2121  m4/nocrash.m4
2122  m4/non-recursive-gnulib-prefix-hack.m4
2123  m4/obstack-printf.m4
2124  m4/obstack.m4
2125  m4/off_t.m4
2126  m4/open-cloexec.m4
2127  m4/open-slash.m4
2128  m4/open.m4
2129  m4/pathmax.m4
2130  m4/perror.m4
2131  m4/pid_t.m4
2132  m4/pipe2.m4
2133  m4/posix_spawn.m4
2134  m4/printf-frexp.m4
2135  m4/printf-frexpl.m4
2136  m4/printf-posix-rpl.m4
2137  m4/printf.m4
2138  m4/pthread_rwlock_rdlock.m4
2139  m4/quote.m4
2140  m4/quotearg.m4
2141  m4/raise.m4
2142  m4/rawmemchr.m4
2143  m4/readline.m4
2144  m4/readlink.m4
2145  m4/realloc.m4
2146  m4/relocatable-lib.m4
2147  m4/relocatable.m4
2148  m4/rename.m4
2149  m4/rmdir.m4
2150  m4/sched_h.m4
2151  m4/setenv.m4
2152  m4/setlocale_null.m4
2153  m4/sh-filename.m4
2154  m4/sig_atomic_t.m4
2155  m4/sigaction.m4
2156  m4/signal_h.m4
2157  m4/signalblocking.m4
2158  m4/signbit.m4
2159  m4/size_max.m4
2160  m4/snprintf-posix.m4
2161  m4/snprintf.m4
2162  m4/spawn-pipe.m4
2163  m4/spawn_h.m4
2164  m4/sprintf-posix.m4
2165  m4/ssize_t.m4
2166  m4/stat-time.m4
2167  m4/stat.m4
2168  m4/std-gnu11.m4
2169  m4/stdbool.m4
2170  m4/stddef_h.m4
2171  m4/stdint.m4
2172  m4/stdint_h.m4
2173  m4/stdio_h.m4
2174  m4/stdlib_h.m4
2175  m4/stpcpy.m4
2176  m4/stpncpy.m4
2177  m4/strchrnul.m4
2178  m4/strdup.m4
2179  m4/strerror.m4
2180  m4/strerror_r.m4
2181  m4/string_h.m4
2182  m4/strndup.m4
2183  m4/strnlen.m4
2184  m4/strverscmp.m4
2185  m4/sys_ioctl_h.m4
2186  m4/sys_resource_h.m4
2187  m4/sys_socket_h.m4
2188  m4/sys_stat_h.m4
2189  m4/sys_time_h.m4
2190  m4/sys_times_h.m4
2191  m4/sys_types_h.m4
2192  m4/sys_wait_h.m4
2193  m4/termios_h.m4
2194  m4/threadlib.m4
2195  m4/time_h.m4
2196  m4/timespec.m4
2197  m4/tls.m4
2198  m4/unicodeio.m4
2199  m4/unistd-safer.m4
2200  m4/unistd_h.m4
2201  m4/unlink.m4
2202  m4/unlocked-io.m4
2203  m4/vasnprintf.m4
2204  m4/vasprintf-posix.m4
2205  m4/vasprintf.m4
2206  m4/vfprintf-posix.m4
2207  m4/visibility.m4
2208  m4/vsnprintf-posix.m4
2209  m4/vsnprintf.m4
2210  m4/vsprintf-posix.m4
2211  m4/wait-process.m4
2212  m4/waitpid.m4
2213  m4/warn-on-use.m4
2214  m4/warnings.m4
2215  m4/wchar_h.m4
2216  m4/wchar_t.m4
2217  m4/wctype_h.m4
2218  m4/wcwidth.m4
2219  m4/wint_t.m4
2220  m4/xalloc.m4
2221  m4/xsize.m4
2222  m4/xstrndup.m4
2223  m4/zzgnulib.m4
2224  top/GNUmakefile
2225  top/README-release
2226  top/maint.mk
2227])
2228